### Method

# Gio DBusObjectProxy get_connection

since: 2.30

#### Declaration

    GDBusConnection*
    g_dbus_object_proxy_get_connection (
      GDBusObjectProxy* proxy
    )

#### Description

Gets the connection that `proxy` is for.

Available since: 2.30

#### Return value

Type: `GDBusConnection`

A `GDBusConnection`. Do not free, the object is owned by `proxy`.

The returned data is owned by the instance.